Package weka.core.converters

# Class StreamTokenizerUtils

java.lang.Object
weka.core.converters.StreamTokenizerUtils

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class StreamTokenizerUtils extends Object implements Serializable, RevisionHandler
Helper class for using stream tokenizers

Version:
  $Revision: 9284 $
Author:
  Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StreamTokenizerUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `errms(StreamTokenizer tokenizer, String theMsg)`
  Throws error message with line number and last token read.
  `static void`
  `getFirstToken(StreamTokenizer tokenizer)`
  Gets token, skipping empty lines.
  `String`
  `getRevision()`
  Returns the revision string.
  `static void`
  `getToken(StreamTokenizer tokenizer)`
  Gets token.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StreamTokenizerUtils

    public StreamTokenizerUtils()

- ## Method Details

  - ### getRevision

    public String getRevision()
    Description copied from interface: `RevisionHandler`
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision

  - ### getFirstToken

    public static void getFirstToken(StreamTokenizer tokenizer) throws IOException
    Gets token, skipping empty lines.
    Parameters:
      `tokenizer` - the stream tokenizer
    Throws:
      `IOException` - if reading the next token fails

  - ### getToken

    public static void getToken(StreamTokenizer tokenizer) throws IOException
    Gets token.
    Parameters:
      `tokenizer` - the stream tokenizer
    Throws:
      `IOException` - if reading the next token fails

  - ### errms

    public static void errms(StreamTokenizer tokenizer, String theMsg) throws IOException
    Throws error message with line number and last token read.
    Parameters:
      `theMsg` - the error message to be thrown
      `tokenizer` - the stream tokenizer
    Throws:
      `IOException` - containing the error message